Package org.apache.tapestry5.internal.services

## Class ComponentEventDispatcher

- java.lang.Object
- - org.apache.tapestry5.internal.services.ComponentEventDispatcher

- All Implemented Interfaces:
    `Dispatcher`

      public class ComponentEventDispatcher
      extends java.lang.Object
      implements Dispatcher

  Processes component action events sent as requests from the client. Component events include an event type, identify a page and a component, and may provide additional context strings.
  See Also:
    `ComponentEventLinkEncoder`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComponentEventDispatcher​(ComponentRequestHandler componentRequestHandler, ComponentEventLinkEncoder linkEncoder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `dispatch​(Request request, Response response)` | Analyzes the incoming request and performs an appropriate operation for each.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentEventDispatcher

          public ComponentEventDispatcher​(ComponentRequestHandler componentRequestHandler,
                                          ComponentEventLinkEncoder linkEncoder)

  - ### Method Detail

    - #### dispatch

          public boolean dispatch​(Request request,
                                  Response response)
                           throws java.io.IOException

      Description copied from interface: `Dispatcher`
      Analyzes the incoming request and performs an appropriate operation for each.
      Specified by:
        `dispatch` in interface `Dispatcher`
      Returns:
        true if a response was delivered, false if the dispatcher did not handle the request (and a search for a handler should continue)
      Throws:
        `java.io.IOException`